const dropSnapshot = async ({
  snapshotsTableName,
  query,
  escapeId,
  escape
}, snapshotKey) => {
  const snapshotsTableNameAsId = escapeId(snapshotsTableName);
  await query(`DELETE FROM ${snapshotsTableNameAsId}
    WHERE \`SnapshotKey\`
    LIKE ${escape(`${snapshotKey}%`)}`);
};

export default dropSnapshot;
//# sourceMappingURL=drop-snapshot.js.map