"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const dropSnapshot = async ({
  snapshotsTableName,
  query,
  escapeId,
  escape
}, snapshotKey) => {
  const snapshotsTableNameAsId = escapeId(snapshotsTableName);
  await query(`DELETE FROM ${snapshotsTableNameAsId}
    WHERE \`SnapshotKey\`
    LIKE ${escape(`${snapshotKey}%`)}`);
};

var _default = dropSnapshot;
exports.default = _default;
//# sourceMappingURL=drop-snapshot.js.map